Subject: FVWM: Focus change and destroy_window event in 2.3.19

From: Adam Tla/lka <[email-masked]>
Date: Fri, 30 Jun 2000 13:19:11 +0200

Hi,

I am using in my .fvwm2rc :

AddToFunc CurrentRaiseWarp I Current (!Visible) Raise
+ I WarpToWindow 50 16p

AddToFunc GoToLast I Prev (CurrentPage !Iconic) FlipFocus

AddToFunc WasActive I DestroyFunc GoToLast
+ I AddToFunc GoToLast I Nop

AddToFunc LastActive I Current (CurrentPage !Iconic) Function WasActive
+ I Function GoToLast
+ I Current (CurrentPage !Iconic) Function CurrentRaiseWarp
+ I DestroyFunc GoToLast
+ I AddToFunc GoToLast I Prev (CurrentPage !Iconic) FlipFocus

AddToFunc WarpToNew I WindowId $0 WarpToWindow 50 16p

*FvwmEventPassID
*FvwmEventDelay 0
*FvwmEventCmd Function
*FvwmEvent add_window WarpToNew
*FvwmEvent destroy_window LastActive

to obtain focus to any new created window and get focus to last active one
while current active is deleted. First works ok for me but second does not.
I observe that before event is activated the window under the pointer 
position is focused (it's not the last active one in this case)
so list order is changed and then event function is useless. 
I am using SloppyFocus.
Strange because it worked properly in 2.2.4 version.

Regards
-- 
 . .  Adam Tla/lka      mailto:[email-masked]    ^v^ ^v^ ^v^
  )   System  & Network Administration Group           ~~~~~~
  -  Computer Center,  Technical University of Gdansk, Poland
     PGP public key:   finger [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].